Ask Your Question
2

Can't run System setting in Gnome

asked 2015-10-23 14:50:15 -0500

marwendoukh gravatar image

updated 2015-10-25 14:27:30 -0500

mether gravatar image

I can't run the System setting in Gnome , Please how can I fix this problem ?

[marwen@marwen-fedora ~]$ gnome-control-center 
gnome-control-center: error while loading shared libraries: libwbclient.so.0: cannot open shared object file: No such file or directory

I tried to install "libwbclient.so.0" , I got this error .

    [marwen@marwen-fedora ~]$ sudo dnf install libwbclient.so.0
Last metadata expiration check performed 0:49:56 ago on Fri Oct 23 19:54:58 2015.
Dependencies resolved.
================================================================================
 Package                 Arch     Version                     Repository   Size
================================================================================
Installing:
 audit-libs              i686     2.4.4-1.fc22                updates      96 k
 avahi-libs              i686     0.6.31-43.fc22              updates      61 k
 bzip2-libs              i686     1.0.6-14.fc22               fedora       45 k
 cracklib                i686     2.9.1-5.fc22                fedora       84 k
 cups-libs               i686     1:2.0.3-1.fc22              updates     392 k
 cyrus-sasl-lib          i686     2.1.26-23.fc22              updates     160 k
 dbus-libs               i686     1:1.8.20-1.fc22             updates     171 k
 elfutils-libelf         i686     0.163-3.fc22                updates     212 k
 elfutils-libs           i686     0.163-3.fc22                updates     295 k
 glibc                   i686     2.21-8.fc22                 updates     4.2 M
 gmp                     i686     1:6.0.0-9.fc22              fedora      423 k
 gnutls                  i686     3.3.18-1.fc22               updates     617 k
 keyutils-libs           i686     1.5.9-4.fc22                fedora       45 k
 krb5-libs               i686     1.13.2-7.fc22               updates     853 k
 libacl                  i686     2.2.52-7.fc22               fedora       32 k
 libattr                 i686     2.4.47-10.fc22              updates      24 k
 libcap                  i686     2.24-7.fc22                 fedora       52 k
 libcom_err              i686     1.42.12-4.fc22              fedora       45 k
 libdb                   i686     5.3.28-12.fc22              updates     763 k
 libffi                  i686     3.1-7.fc22                  fedora       33 k
 libgcc                  i686     5.1.1-4.fc22                updates      91 k
 libgcrypt               i686     1.6.3-4.fc22                fedora      352 k
 libgpg-error            i686     1.17-2.fc22                 fedora      123 k
 libldb                  i686     1.1.21-1.fc22               updates     136 k
 libselinux              i686     2.3-10.fc22                 updates     150 k
 libstdc++               i686     5.1.1-4.fc22                updates     444 k
 libtalloc               i686     2.1.3-1.fc22                updates      41 k
 libtasn1                i686     4.5-1.fc22                  fedora      327 k
 libtdb                  i686     1.3.7-1.fc22                updates      52 k
 libtevent               i686     0.9.25-1.fc22               updates      37 k
 libverto                i686     0.2.6-4.fc22                fedora       21 k
 libwbclient             i686     2:4.2.3-0.fc22              updates      95 k
 ncurses-libs            i686     5.9-18.20150214.fc22        fedora      312 k
 nettle                  i686     2.7.1-5.fc22                fedora      339 k
 nspr                    i686     4.10.8-1.fc22               fedora      137 k
 nss                     i686     3.20.0-1.0.fc22             updates     870 k
 nss-softokn             i686     3.20.0-1.0.fc22             updates     319 k
 nss-softokn-freebl      i686     3.20.0-1.0.fc22             updates     196 k
 nss-util                i686     3.20.0-1.0.fc22             updates      81 k
 openldap                i686     2.4.40-12.fc22              fedora      346 k
 openssl-libs            i686     1:1.0.1k-12.fc22            updates     944 k
 p11-kit                 i686     0.23.1-2.fc22               updates     148 k
 pam                     i686     1.1.8-19.fc22               updates     730 k
 pcre                    i686     8.37-4.fc22                 updates     495 k
 readline                i686     6.3-5.fc22                  fedora      203 k
 samba-client-libs       i686     2:4.2.3-0.fc22              updates     4.4 M
 sqlite                  i686 ...
(more)
edit retag flag offensive close merge delete

Comments

Hi marwendoukh, I had the same problem that you and fix this with this post in reddit: https://www.reddit.com/r/Fedora/comme... .

What you need to do is reinstall libwbclient with "sudo dnf reinstall libwbclient".

Rafael Santos gravatar imageRafael Santos ( 2016-11-07 18:02:11 -0500 )edit

5 Answers

Sort by » oldest newest most voted
3

answered 2016-10-30 09:20:11 -0500

TWTOoth gravatar image

That is a known bug, since at least Fedora 21. See information in links below, including the bugtracker.

To fix it, reinstall libwbclient by running

$ sudo dnf reinstall libwbclient from a terminal

edit flag offensive delete link more

Comments

1
1

answered 2017-08-13 17:07:22 -0500

ldeks_ gravatar image

I had the same problem. It turns out two versions of libwbclient were installed because of an upgrade malfunction (the computer was upgraded from Fedora 24 to 26). I found this out by typing

dnf info libwbclient

The command

sudo dnf remove libwbclient-2\:4.4.14-0.fc24

removed the old package which nothing important actually depended on.

I then had to run

sudo rpm --rebuilddb

to rebuild the package database. After that, gnome-control-center started right up. :)

edit flag offensive delete link more
1

answered 2016-11-09 04:30:40 -0500

Doo gravatar image

You can do this :

[root] # strace -o logfile gnome-control-center
gnome-control-center: error while loading shared libraries: libwbclient.so.0: cannot open shared object file: No such file or directory
[root] # view logfile  # here you search the path of the missing access -> /usr/lib64/samba/libwbclient.so.0  for me
[root] # ln -s /usr/lib64/samba/wbclient/libwbclient.so.0 /usr/lib64/samba/libwbclient.so.0 
[root] # exit
edit flag offensive delete link more
0

answered 2016-10-30 06:39:35 -0500

Downgrading 'libwbclient,x86_64, samba-client.x86_64, samba-common.noarch' solved the issue for me.

edit flag offensive delete link more
0

answered 2016-09-01 05:14:10 -0500

remjg gravatar image

I had the same issue after installing Fedora 24 and installing a few packages from other repositories (without updating the system first, might be an explanation).

I solved it by removing the packages that conflicted. For example, to solve :

  file /usr/share/gcc-5.1.1/python/libstdcxx/v6/printers.py from install of libstdc++-5.1.1-4.fc22.i686 conflicts with file from package libstdc++-5.1.1-1.fc22.x86_64

I removed libstdc++-5.1.1-1.fc22.x86_64 using the following command as root :

 dnf remove libstdc++-5.1.1-1.fc22.x86_64

Hope that helps !

edit flag offensive delete link more

Question Tools

1 follower

Stats

Asked: 2015-10-23 14:50:15 -0500

Seen: 5,552 times

Last updated: Aug 13 '17